/*!
  http://www.boost.org/doc/libs/1_42_0/libs/python/doc/tutorial/
*/

#include <string>


class World
{
public:
  void set(std::string msg)
  {
    msg_ = msg;
  }


  std::string greet(void)
  {
    return msg_;
  }

private:
  std::string msg_;
};


#include <boost/python.hpp>
using namespace boost::python;


BOOST_PYTHON_MODULE(hello)
{
  class_<World>("World")
    .def("greet", &World::greet)
    .def("set", &World::set)
    ;
}
